## LassoIdWsf2SecToken LassoIdWsf2SecToken — <sec:Token> |

## Functions

LassoIdWsf2SecToken * | lasso_idwsf2_sec_token_new ()

## Types and Values

struct | LassoIdWsf2SecToken

## Description

Figure 243. Schema fragment for sec:Token

    <xs:complexType name="TokenType">
      <xs:sequence>
        <xs:any namespace="##any" processContents="lax"
          minOccurs="0" maxOccurs="unbounded"/>
        </xs:sequence>
        <xs:attribute name="id" type="xs:ID" use="optional" />
        <xs:attribute name="ref" type="xs:anyURI" use="optional" />
        <xs:attribute name="usage" type="xs:anyURI" use="optional" />
      </xs:complexType>

## Functions

### lasso_idwsf2_sec_token_new ()

    LassoIdWsf2SecToken *
    lasso_idwsf2_sec_token_new (void);

Creates a new LassoIdWsf2SecToken object.

#### Returns

a newly created LassoIdWsf2SecToken object

## Types and Values

### struct LassoIdWsf2SecToken

    struct LassoIdWsf2SecToken {
    	LassoNode parent;

    	/* elements */
    	LassoNode *any;
    	/* attributes */
    	char *id;
    	char *ref;
    	char *usage;
    };